petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatGetOwnershipIS

Get row and column ownership as index sets

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetOwnershipIS(Mat A,IS *rows,IS *cols)

Not Collective

### Input Arguments

A -matrix of type Elemental

### Output Arguments

| rows | - rows in which this process owns elements
| cols | - columns in which this process owns elements

### See Also

MatGetOwnershipRange(), MatGetOwnershipRangeColumn(), MatSetValues(), MATELEMENTAL

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatGetOwnershipIS_Elemental in src/mat/impls/elemental/matelem.cxx
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages